import type { IPFS } from "ipfs-core";
import { PubSub } from "./pubsub";
import { Store } from "./store";
export declare class Stack {
    namespace: string;
    store: Store;
    pubsub: PubSub;
    private constructor();
    static create(namespace: string, ipfs: IPFS): Promise<Stack>;
}
